Bug 2835 - Inconsistent use of colon at the end of sentences
Summary: Inconsistent use of colon at the end of sentences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P3 trivial (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 7884
  Show dependency treegraph
 
Reported: 2008-12-01 01:46 UTC by Chris Cormack
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 2835 - Inconsistent use of colon at the end of sentences (86.60 KB, patch)
2013-03-26 14:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 2835 - Inconsistent use of colon at the end of sentences (86.61 KB, patch)
2013-03-31 07:17 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 2835 - Inconsistent use of colon at the end of sentences (86.78 KB, patch)
2013-03-31 11:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:56:59 UTC


---- Reported by axelb@skolelinux.no 2008-12-01 13:46:18 ----

Some sentences have colon at its end, some does not. This should be consistent.
Take for instance a look at:
/cgi-bin/koha/serials/subscription-detail.pl
cgi-bin/koha/reports/borrowers_stats.pl
/cgi-bin/koha/reports/issues_avg_stats.pl
cgi-bin/koha/admin/categorie.pl
cgi-bin/koha/admin/koha2marclinks.pl
etc.

We have dropped colon in all headings, but used them when they are in a table preceeding something else, like
Name:
Title:
etc.



---- Additional Comments From nengard@gmail.com 2009-12-23 17:59:52 ----

This bug hasn't been touched in nearly a year, please revisit and test and close if appropriate.



---- Additional Comments From nengard@gmail.com 2009-12-28 16:54:43 ----

These two pages don't seem to have the issue anymore:

cgi-bin/koha/admin/categorie.pl
cgi-bin/koha/admin/koha2marclinks.pl




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:56 UTC  ---

This bug was previously known as _bug_ 2835 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2835

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was axelb@skolelinux.no.

Comment 1 Owen Leonard 2013-03-26 14:11:24 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-31 07:17:02 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-31 11:13:52 UTC
I am not totally happy with the whitespace that follows the colon. Whitespace is hard to see in some tools used for translating and this can easily lead to inconsistencies in translations and display. I think it would be better to use CSS to fix this properly.

But that problem is older than this patch, which adds more consistency.
Comment 4 Katrin Fischer 2013-03-31 11:19:49 UTC
There are some files where no whitespace is added after the colon?
Comment 5 Katrin Fischer 2013-03-31 11:23:55 UTC
Created attachment 17083 [details] [review]
Bug 2835 - Inconsistent use of colon at the end of sentences

Labels which precede a text input or select typically have a colon
before them:

Name: [____]

This patch cleans up templates where labels in this context lack a
colon. Exceptions to this rule include radio buttons, checkboxes, and
labels inside tables.

To test, view the affected pages and confirm that labels look
consistent.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Patch adds more consistency.
Work for translators could be made easier using CSS instead
of whitespace after colon.
Comment 6 Jared Camins-Esakov 2013-04-02 13:03:55 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-04-24 21:55:19 UTC
This doesn't apply to 3.10.x please rebase if needed